%define name 	multisync
%define version 0.82.20041130
%define release 6mdk

%define major 	0
%define libname	%mklibname %name %major

%define plugins backup_plugin evolution2_sync gnokii_sync irmc_sync kdepim_plugin ldap_plugin opie_sync palm_sync syncml_plugin

Name: 		%{name}
Summary: 	GNOME tool to synchronize PIM data on many devices
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-cvs-snapshot.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch0:		%{name}-gcc4.patch.bz2
URL:		http://multisync.sourceforge.net/download.shtml
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	bison automake1.7 pkgconfig
BuildRequires:	libldap-devel
BuildRequires:	evolution-devel evolution-data-server-devel
BuildRequires:	bluez-devel
BuildRequires:	irda-utils
BuildRequires:	xpm-devel openobex-devel
BuildRequires:	openssl-devel libsoup-devel
BuildRequires:	curl-devel libpisock-devel
BuildRequires:	gnokii-devel libvformat-devel
BuildRequires:	kdepim-devel
BuildRequires:	wbxml2-devel

%description
MultiSync is a free modular program to synchronize calendars, addressbooks
and other PIM data between programs on your computer and other computers,
mobile devices, PDAs or cell phones. MultiSync works on any Gnome platform,
such as Linux.

Remote connection of two MultiSync programs is possible via an encrypted
connection over the net. Perfect to synchronize your laptop and stationary
computer, or why not your home and work calendars.

See the available plugins.

%package 	backup
Summary:	Backup plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	backup
Backup of your PIM data.

%package 	evolution
Summary:	Evolution plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	evolution
Ximian Evolution synchronization, supporting calendar, ToDos and contacts.

%package	gnokii
Summary:	Gnokii plugin for %name
Group:		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description	gnokii
This is the initial release of the gnokii plugin for multisync.
Every configuration should be done in gnokii configuration file.
Currently you can synchronize the phonebook entries contained in the mobile
phone's internal memory.

%package 	irmc_bluetooth
Summary:	IrMC_bluetooth plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	irmc_bluetooth
IrMC Mobile Client synchronization (supported by e.g. SonyEricsson
T39/T68i, Siemens S45i/S55 phones etc.) via Bluetooth.

%package 	irmc
Summary:	IrMC plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	irmc
IrMC Mobile Client synchronization (supported by e.g. SonyEricsson
T39/T68i, Siemens S45i/S55 phones etc.) via IR or cable connection.

%package	kdepim
Summary:	KDEPIM plugin for %name
Group:		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description	kdepim
Multisync plugin for accessing the KDE 3.x Addressbook.

%package 	ldap
Summary:	LDAP plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	ldap
LDAP synchronization.

%package 	opie
Summary:	Opie plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	opie
Opie and Zaurus synchronization.

%package 	palm
Summary:	Palm plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	palm
Palm synchronization.

%package 	syncml
Summary:	SyncML plugin for %name
Group: 		Communications
Requires:	%{name} = %{version}
Conflicts:	%{_lib}multisync0

%description 	syncml
SyncML support (supported by e.g. SonyEricsson P800/P900 and many
other phones and devices).

This package now supports the Nokia 6600 (and possibly other models), see
http://multisync.sourceforge.net/wiki/index.php?Nokia6600Instructions

%prep
%setup -q -n %name
%patch0 -b .gcc4

%build
# sdp lib now included in main bluetooth lib
perl -p -i -e 's|-lsdp|-lbluetooth||g' plugins/irmc_sync/configure
autoreconf -i -s
%configure2_5x --disable-static
# -j2 fails
make PLUGINDIR=%_libdir/%name
for dir in %plugins; do
	pushd plugins/${dir}
	perl -p -i -e 's|\${MULTISYNC_TOP}/specs|../../specs||g' configure.in
	autoreconf -i -s
	export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
	export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"
	%configure2_5x --disable-static
	perl -p -i -e 's/PACKAGE_CFLAGS\ \=/PACKAGE_CFLAGS\ \=\ ..\/..\/include/g' Makefile
	perl -p -i -e 's|-lsdp|||g' src/Makefile
	make
	popd
done
										
%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p %buildroot/%_libdir/%name/liblinks
%makeinstall
for dir in %plugins; do
	pushd plugins/${dir}
	%makeinstall
	popd
done
mkdir -p %buildroot/%_libdir/%name
mv %buildroot/%_libdir/lib* %buildroot/%_libdir/%name
rm -fr %buildroot/%_libdir/%name/*.la
#rm -fr %buildroot/%_libdir/%name/liblinks

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="MultiSync" longtitle="Integrates Multiple PIMs" section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ABOUT-NLS
%{_bindir}/%name
%{_datadir}/%name
%{_includedir}/%name
%{_menudir}/%name
%{_datadir}/applications/%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files 	backup
%defattr(-,root,root)
%{_libdir}/%name/libbackup_plugin.so*

%files 	evolution
%defattr(-,root,root)
%{_libdir}/%name/libevolution2_sync.so*

%files gnokii
%defattr(-,root,root)
%{_libdir}/%name/libgnokii_sync.so*

%files 	irmc_bluetooth
%defattr(-,root,root)
%{_libdir}/%name/libirmc_bluetooth.so*

%files 	irmc
%defattr(-,root,root)
%{_libdir}/%name/libirmc_sync.so*

%files	kdepim
%defattr(-,root,root)
%{_libdir}/%name/libkdepim_sync.so*

%files 	ldap
%defattr(-,root,root)
%{_libdir}/%name/libldap_plugin.so*

%files 	opie
%defattr(-,root,root)
%{_libdir}/%name/libopie_sync.so*

%files 	palm
%defattr(-,root,root)
%{_libdir}/%name/libpalm_sync.so*

%files 	syncml
%defattr(-,root,root)
%{_libdir}/%name/libsyncml_plugin.so*

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.82.20041130-6mdk
- rebuilt against new openldap-2.3.6 libs
- pass -DLDAP_DEPRECATED to the CFLAGS

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.82.20041130-5mdk
- fix for gcc4
- rebuild for new evolution-data-server

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.82.20041130-4mdk
- rebuild for ldap

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.82.20041130-3mdk 
- Rebuild with latest howl
- Remove ldconfig call, they aren't needed for dlopened plugins

* Mon Jan 03 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.82.20041130-2mdk
- buildrequires (including wbxml2 for Nokia 6600 support)
- make the plugins conflict with the obsoleted lib package (where they were
  before)

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.82.20041130-1mdk
- move to cvs to get evolution2 plugin
- configure 2.5
- remove openobex header hack
- fix autoreconf
- add gnokii plugin
- add kdepim plugin
- fix menu

* Sat Aug 14 2004 Austin Acton <austin@mandrake.org> 0.82-4mdk
- re-enable bluetooth build, without sdp (Charles Bovy)

* Fri Jul 2 2004 Austin Acton <austin@mandrake.org> 0.82-3mdk
- fix stupid bluetooth mistake (thanks to Tobias Haf)
- disable bluetooth for now (won't compile)

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 0.82-2mdk
- fix pointer to plugin dir

* Wed Apr 21 2004 Austin Acton <austin@mandrake.org> 0.82-1mdk
- 0.82
- split plugins into separate packages
- delib buildrequires
- disable evolution until it supports 1.5

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-3mdk
- Rebuild against latest gtkhtml/gal

* Mon Dec 15 2003 Austin Acton <austin@linux.ca> 0.81-2mdk
- buildrequires curl and pisock (Dirk Siebnich)

* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.81-1mdk
- 0.81
- add palm plugin

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.80-1mdk
- 0.80
- many fixes

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.72-3mdk
- DIRM

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.72-2mdk
- buildrelease for libgal23

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 0.72-1mdk
- initial package
